*--
*-- FCE32.CC
*--
*-- For Version 4.0.0 of FTP Client Engine
*--

#define FCE_SET_CONNECT_WAIT       1
#define FCE_SET_MIN_RESPONSE_WAIT  2
#define FCE_SET_MAX_RESPONSE_WAIT  3
#define FCE_SET_MIN_LINE_WAIT      4
#define FCE_SET_MAX_LINE_WAIT      5
#define FCE_SET_AUTO_CALL_DRIVER   6
#define FCE_SET_SLEEP_TIME         8
#define FCE_SET_FTP_PORT           9
#define FCE_SET_CLOSE_LINGER      10
#define FCE_SET_WRITE_BUFSIZE     11
#define FCE_SET_PASSIVE           12
#define FCE_SET_MAX_LISTEN_WAIT   13
#define FCE_SET_MASTER_INDEX      14
#define FCE_SET_APPEND_MODE       15
#define FCE_SET_DATA_PORT         16
#define FCE_SET_RENAME_DELIMITER  17
#define FCE_SET_SERVER_OFFSET     18
#define FCE_SET_CLIENT_OFFSET     19
#define FCE_SET_LOG_FILE          20
#define FCE_WRITE_TO_LOG          21
#define FCE_SET_MAX_COMPLETE_WAIT 22
#define FCE_SET_BLOCKING_MODE     23
#define FCE_AUTO_LOG_CLOSE        24
#define FCE_CLOSE_LOG_FILE        25
#define FCE_SET_FIRST_DATA_PORT   26
#define FCE_SET_LAST_DATA_PORT    27
#define FCE_HIDE_PASSWORD         28
#define FCE_STATUS_BEFORE_WRITE   29
#define FCE_BIND_TO_LOCAL_IP      30
#define FCE_LOCAL_DIR_IS_CDROM    31
#define FCE_DISABLE_SKEY          32
#define FCE_SET_FATAL_CODE        33
#define FCE_SET_DEBUG_LEVEL       34

#define FCE_GET_COUNTER            2
#define FCE_GET_RESPONSE           3
#define FCE_GET_SOCK_ERROR         4

#define FCE_GET_FILE_BYTES_RCVD   10
#define FCE_GET_TOTAL_BYTES_RCVD  11
#define FCE_GET_FILE_BYTES_SENT   12
#define FCE_GET_TOTAL_BYTES_SENT  13
#define FCE_GET_SOCKET            14
#define FCE_GET_CONNECT_STATUS    15
#define FCE_GET_REGISTRATION      16

#define FCE_GET_LAST_RESPONSE     18
#define FCE_GET_SERVER_IP         19
#define FCE_GET_VERSION           20
#define FCE_GET_BUILD             21
#define FCE_GET_LINE_COUNT        22
#define FCE_GET_LOCAL_IP          23
#define FCE_GET_ERROR_LINE        24
#define FCE_GET_QUEUE_ZERO        25
#define FCE_GET_DATA_PORT         26
#define FCE_GET_DAYS_LEFT         27
#define FCE_GET_FULL_RESPONSE     28
#define FCE_SKEY_WAS_SEEN         29

#define FCE_FULL_LIST              0
#define FCE_NAME_LIST              1
#define FCE_FULL_LIST_FILE         2
#define FCE_NAME_LIST_FILE         3

#define FCE_SET_ASCII             65
#define FCE_SET_BINARY            66

FUNCTION xfceAbort(nChannel)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceAbort",nChannel)

FUNCTION xfceAttach(nNbrchans,nKeyCode)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceAttach",nNbrchans,nKeyCode)

FUNCTION xfceClose(nChannel)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceClose",nChannel)

FUNCTION xfceCommand(nChannel,cCommand)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceCommand",nChannel,@cCommand)

FUNCTION xfceConnect(nChannel,cSrvName,cUser,cPassword)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceConnect",nChannel,@cSrvName,@cUser,@cPassword)

FUNCTION xfceDebug(nChannel,nLong,cStr,nLong2)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceDebug",nChannel,nLong,@cStr,nLong2)

FUNCTION xfceDelFile(nChannel,cFile)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceDelFile",nChannel,@cFile)

FUNCTION xfceDelServerDir(nChannel,cDir)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceDelServerDir",nChannel,@cDir)

FUNCTION xfceDriver(nChannel)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceDriver",nChannel)

FUNCTION xfceErrorText(nChannel,nErrCode,cBuffer,nSizeBuf)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceErrorText",nChannel,nErrCode,@cBuffer,nSizeBuf)

FUNCTION xfceExtract(cBuffer,nLineNbr,nFieldNbr,cBufPtr,nBufLen)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceExtract",@cBuffer,nLineNbr,nFieldNbr,@cBufPtr,nBufLen)

FUNCTION xfceFileLength(cBuffer,nBeginField,nEndField)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceFileLength",@cBuffer,nBeginField,nEndField)

FUNCTION xfceGetFile(nChannel,cFile)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceGetFile",nChannel,@cFile)

FUNCTION xfceGetInteger(nChannel,nParam)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceGetInteger",nChannel,nParam)

FUNCTION xfceGetList(nChannel,nLFlag,cBuffer,nSizeBuf)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceGetList",nChannel,nLFlag,@cBuffer,nSizeBuf)

FUNCTION xfceGetLocalDir(nChannel,cBuffer,nSizeBuf)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceGetLocalDir",nChannel,@cBuffer,nSizeBuf)

FUNCTION xfceGetServerDir(nChannel,cBuffer,nSizeBuf)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceGetServerDir",nChannel,@cBuffer,nSizeBuf)

FUNCTION xfceGetString(nChannel,nLong,cBuffer,nSizeBuf)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceGetString",nChannel,nlong,@cBuffer,nSizeBuf)

FUNCTION xfceMakeServerDir(nChannel,cDir)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceMakeServerDir",nChannel,@cDir)

FUNCTION xfceHello(nChannel)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceHello",nChannel)

FUNCTION xfcePutFile(nChannel,cFile)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fcePutFile",nChannel,@cFile)

FUNCTION xfceRelease()
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceRelease")

FUNCTION xfceSetInteger(nChannel,nParam,nValue)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceSetInteger",nChannel,nParam,nValue)

FUNCTION xfceSetLocalDir(nChannel,cLocPath)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceSetLocalDir",nChannel,@cLocPath)

FUNCTION xfceSetMode(nChannel,nMode)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceSetMode",nChannel,nMode)

FUNCTION xfceSetServerDir(nChannel,cSrvPath)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceSetServerDir",nChannel,@cSrvPath)

FUNCTION xfceSetString(nChannel,nParam,cParmPtr)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceSetString",nChannel,nParam,@cParmPtr)

FUNCTION xfceMatchFile(cListBuf,nStart,cNameBuf,nNameLen,cPattern,nCaseFlag)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceMatchFile",@cListBuf,nStart,@cNameBuf,nNameLen,@cPattern,nCaseFlag)

FUNCTION xfceGetLocalFList(nChannel, cBuffer, nSizeBuf) 
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceGetLocalFList",nChannel, @cBuffer, nSizeBuf) 

FUNCTION xfceGetLocalFSize(nChannel, cFileName) 
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceGetLocalFSize",nChannel, @cFileName) 

FUNCTION xfceShortToByte(cBuffer) 
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceShortToByte",@cBuffer) 

FUNCTION xfceByteToShort(cBuffer) 
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceByteToShort",@cBuffer) 

FUNCTION xfceGetTicks()
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceGetTicks")

FUNCTION xfceIsConnected(nChannel)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceIsConnected",nChannel)

FUNCTION xfceToInteger(cBufPtr,nStart,nCount)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceToInteger",@cBufPtr,nStart,nCount)

FUNCTION xfceGetFileSize(nChan,cFileName)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceGetFileSize",nChan,@cFileName)

FUNCTION xfceGetFileTime(nChan, cFileName, cBuffer, nBufLen)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceGetFileTime",nChan,@cFileName,@cBuffer,nBufLen)

FUNCTION xfcePutDirFiles(nChan,cPattern,cBuffer,nBufLen,nCaseSensitive) 
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fcePutDirFiles",nChan,@cPattern,@cBuffer,nBufLen,nCaseSensitive) 

FUNCTION xfceGetDirFiles(nChan,cPattern,cBuffer,nBufLen,nCaseSensitive) 
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceGetDirFiles",nChan,@cPattern,@cBuffer,nBufLen,nCaseSensitive) 

FUNCTION xfceGetSubDirs(nChan, cBuffer, nBufLen, cDirBuf, nDirLen, nFlags)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceGetSubDirs",nChan,@cBuffer,nBufLen,@cDirBuf,nDirLen,nFlags)

FUNCTION xfceSleep(nMilliSec)
RETURN DLLCALL("FCE32.DLL",DLL_STDCALL,"fceSleep",nMilliSec)
